d.text.freetype(1)	      Grass User's Manual	    d.text.freetype(1)



NNAAMMEE
       dd..tteexxtt..ffrreeeettyyppee	-  Draws text in the graphics monitor's active display
       frame using TrueType fonts
       _(_G_R_A_S_S _D_i_s_p_l_a_y _P_r_o_g_r_a_m_)



SSYYNNOOPPSSIISS
       dd..tteexxtt..ffrreeeettyyppee
       dd..tteexxtt..ffrreeeettyyppee hheellpp
       dd..tteexxtt..ffrreeeettyyppee [--rrppsscc]	[tteexxtt==_"_s_t_r_i_n_g_"]  [eeaasstt__nnoorrtthh==_e_a_s_t_i_n_g_,_n_o_r_t_h_i_n_g]
       [ffoonntt==_n_a_m_e]   [ppaatthh==_n_a_m_e]   [cchhaarrsseett==_n_a_m_e]   [ccoolloorr==_n_a_m_e]  [ssiizzee==_v_a_l_u_e]
       [aalliiggnn==_n_a_m_e] [rroottaattiioonn==_v_a_l_u_e]



DDEESSCCRRIIPPTTIIOONN
       _d_._t_e_x_t_._f_r_e_e_t_y_p_e draws text in the  graphics  monitor's  active  display
       frame using TrueType fonts already installed on the user's system.

   FFllaaggss::
       --rr     Use radians instead of degrees for rotation

       --pp     Use pixel coordinates ([0,0] is top left)

       --ss     Font size is height in pixels

       --cc     Command mode (Compatibility with d.text)


   PPaarraammeetteerrss::
       tteexxtt==_s_t_r_i_n_g
	      Text to be displayed. Enclose multiple words "in quotes".

       eeaasstt__nnoorrtthh==_e_a_s_t_i_n_g_,_n_o_r_t_h_i_n_g
	      Locates  the  text  at  these map coordinates. If this option is
	      omitted, the user will be prompted to use the mouse  to  specify
	      the location.

       ffoonntt==_n_a_m_e
	      Specifies  a  font  listed in the GRASS 'freetypecap' definition
	      file.

       ppaatthh==_/_p_a_t_h_/_f_i_l_e_n_a_m_e_._t_t_f
	      Specifies a TrueType font with full pathname.

       cchhaarrsseett==_n_a_m_e
	      Sets character encoding for input tteexxtt. (e.g. ISO-8859-1)

       ccoolloorr==_n_a_m_e
	      Sets text color to _n_a_m_e. It can also be a hexadecimal  value  of
	      0xRRGGBB.

	      Options: red, orange, yellow, green, blue, indigo, violet, gray,
	      white, and black

	      Default: _g_r_a_y


       ssiizzee==_v_a_l_u_e
	      Sets text height in percent of available frame height.

	      Default: 10

       aalliiggnn==_n_a_m_e
	      Aligns text in this way.

	      Options: ll, lc, lr, cl, cc, cr, ul, uc, ur

	      l?: Lower, c?: Vertically Centered, u?: Upper,

	      ?l: Left, ?c: Horizontally Centered, ?r: Right

	      Default: _l_l  (Lower Left)


       rroottaattiioonn==_v_a_l_u_e
	      Rotates text counterclockwise. The default unit is degrees.

	      Default: 0



   CCoommmmaanndd mmooddee::
       Key

       {REQUIRED}

       [OPTIONAL]

       THIS|orTHAT

       +, -   Relative value

       r, %, p
	      Radian, Percentage, and Pixels respectively

       Commands

       .F {font|path}[:charset] _f_o_n_t

       .C {color_name|0xRRGGBB} _c_o_l_o_r

       .S [+|-]size[p] _s_i_z_e

       .A {ll|lc|lr|cl|cc|cr|ul|uc|ur} _a_l_i_g_n

       .R [+|-]rotation[r] _r_o_t_a_t_i_o_n

       .X [+|-]x[%|p] _x_-_c_o_o_r_d

       .Y [+|-]y[%|p] _y_-_c_o_o_r_d

       .L {0|1} _l_i_n_e_f_e_e_d

       .E [+|-]east[%|p] _x_-_o_r_i_g_i_n

       .N [+|-]north[%|p] _y_-_o_r_i_g_i_n

       .. _d_o_t

       To end input, press Ctrl-d on a blank line.



EEXXAAMMPPLLEESS
       Standard       mode:	  dd..tteexxtt..ffrreeeettyyppee	text="GRASS	  GIS"
       east_north=2107055,5603133 .br

       size=7 path=/usr/X11R6/lib/X11/fonts/TTF/luximb.ttf


       Command	 mode:	The  following	example  prints  three	lines:	"GRASS
       d.text.freetype	output",  "See	test.input  file",   and   "for   more
       details.".

       dd..tteexxtt..ffrreeeettyyppee --cc
	      .L  0  GRASS d.text.freetype output See test.input file for more
	      details.

       Command mode instructions may also be read directly from a text file:

       dd..tteexxtt..ffrreeeettyyppee -c < test.input



DDEEFFIINNIITTIIOONN FFIILLEE
       To help users select fonts conveniently, the  definition  file,	$(GIS-
       BASE)/etc/freetypecap, is provided.  Its format is as follows:
	    font:fontpath:charset:color:size:description
	    *default_font:fontpath:charset:color:size:description
	See the file for examples.



SSEEEE AALLSSOO
       _d_._t_e_x_t

       _d_._f_o_n_t

       _d_._t_i_t_l_e

       _s_h_o_w_._f_o_n_t_s_._s_h

       _d_._w_h_e_r_e

       _p_a_r_s_e_r



AAUUTTHHOORR
       Huidae Cho grass@geni.cemtlo.com>

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_3_/_1_0_/_1_2 _0_4_:_5_3_:_3_1 _$



GRASS 5.0						    d.text.freetype(1)
